{*nastDokuExport*}
<script>
    function initMenuExportDoku() {
        const menuPolozkyInput = document.querySelectorAll('[ajax-input-dokument]');

        menuPolozkyInput.forEach(function (polozkaInput){
            polozkaInput.addEventListener('change',(even) => {
                const id = polozkaInput.getAttribute('data-id');
                const column = polozkaInput.getAttribute('data-name');
                const value = polozkaInput.value;
                const data = [];

                data['id'] = id;
                data['column'] = column;
                data['value'] = value;

                if (value !== '') {
                    naja.makeRequest('GET', {link saveData!}, { {$control->getParameterId('data')}: data })
                .then((payload) => {  });
                }else{
                    alert('Musíte vyplnit hodnotu!');
                    polozkaInput.focus();
                }
            });
        });
    }
</script>
{snippet list}
    <div class="row">
        <div class="col-12 col-md-6 mb-3 mb-md-0">
            <div class="card mb-3">
                <div class="card-header bg-menu-warning">
                    <h5 class="mb-0">Vzhled stránky</h5>
                </div>
                <div class="card-body">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">levý okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-dokument="" data-name="margin_left" data-id="{$data->id}" value="{$data->margin_left}" placeholder="levý okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">pravý okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-dokument="" data-name="margin_right" data-id="{$data->id}" value="{$data->margin_right}" placeholder="pravý okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-6">
                                <div class="mb-3">
                                    <label class="form-label">horní okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-dokument="" data-name="margin_top" data-id="{$data->id}" value="{$data->margin_top}" placeholder="horní okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
                                <div class="mb-0">
                                    <label class="form-label">dolní okraj</label>
                                    <div class="input-group">
                                        <input type="number" min="0" class="form-control" ajax-input-dokument="" data-name="margin_bottom" data-id="{$data->id}" value="{$data->margin_bottom}" placeholder="dolní okraj">
                                        <span class="input-group-text">mm</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {*orientace stránky*}
                        <div class="mb-3">
                            <label class="form-label">Orientace stránky</label>
                            <select type="text" class="form-select" ajax-input-dokument="" data-name="orientation" data-id="{$data->id}">
                                <option value="P" {if $data->orientation == 'P'}selected{/if}>Na výšku</option>
                                <option value="L" {if $data->orientation == 'L'}selected{/if}>Na šířku</option>
                            </select>
                        </div>
                        {*orientace stránky*}
                        <div class="mb-3">
                                <label class="form-label">Rozložení stránky</label>
                                <select type="text" class="form-select" ajax-input-dokument="" data-name="columns" data-id="{$data->id}">
                                    <option value="1" {if $data->columns == '1'}selected{/if}>Jeden sloupec</option>
                                    <option value="2" {if $data->columns == '2'}selected{/if}>Dva sloupce</option>
                                </select>
                        </div>
                        {*barva textu*}
                        <div class="mb-0">
                            <form n:name="barvaTextForm" class="ajax">
                                <label class="form-label">barva textu</label>
                                <div class="input-group mb-3">
                                    <input type="text" n:name="barva" class="form-control color-picker" value="{$data->color}">
                                    <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                </div>
                                <input n:name="id" value="{$data->id}">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6 mb-3 mb-md-0">
            <div class="card">
                <div class="card-header bg-menu-warning">
                    <h5 class="mb-0">Pozadí</h5>
                </div>
                <div class="card-body">
                    <form n:name="pridatPozadiForm" class="ajax">
                        <div class="mb-3">
                            <label class="form-label">Nové pozadí</label>
                            <div class="input-group">
                                <span class="input-group-text"><i class="fas fa-image"></i></span>
                                <input n:name="pozadi" class="form-control bg-image-input">
                            </div>
                        </div>
                        <div class="mb-3">
                            <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Nahrát</button>
                        </div>
                    </form>
                    <div class="row">
                        {if $data->bg_image}
                            <div class="col-12 col-md-6">
                                <h6>Nahrané pozadí</h6>
                                <div class="p-2">
                                    <div class="produkt-image-box">
                                        <div class="produkt-image-delete">
                                            <a n:href="deleteBack! $data->id" class="ajax">
                                                <i class="fas fa-trash"></i>
                                            </a>
                                        </div>
                                        <img src="{$basePath}/src/restaurace/menu/{$data->rest_menu_id}/{$data->bg_image}">
                                    </div>
                                </div>
                                <label class="form-label">velikost pozadí</label>
                                <div class="mb-2">
                                    <input type="number" min="0" max="6" class="form-control" ajax-input-dokument data-name="bg_image_size" data-id="{$data->id}" value="{$data->bg_image_size}" placeholder="velikost pozadí">
                                </div>
                            </div>
                        {/if}
                        <div class="col-12 col-md-6 bg-image-preview"></div>
                        <div class="col-12">
                            <form n:name="barvaPozadiForm" class="ajax">
                                <label class="form-label">barva pozadí</label>
                                <div class="input-group mb-3">
                                    <input type="text" n:name="barva" class="form-control color-picker" value="{$data->bg_color}">
                                    <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Změnit</button>
                                </div>
                                <input n:name="id" value="{$data->id}">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        initMenuExportDoku();
        initColorPicker();

        $(document).ready(function(){
            $('.bg-image-input').change(function(){
                $(".bg-image-preview").html('');
                for (var i = 0; i < $(this)[0].files.length; i++) {
                    $(".bg-image-preview").append('<h6>Nové pozadí</h6><img src="'+window.URL.createObjectURL(this.files[i])+'" class="img-thumbnail"/>');
                }
            });
        });
    </script>
{/snippet}